Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.xml.domain.impl
Class OperationResult

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.OperationResult

    public class OperationResult

extends java.lang.Object

Field Summary
`static int` | `SUCCESS`

Constructor Summary
`OperationResult()` Creates a new instance of OperationResult

Method Summary
`void` | `addResourceDescriptor(ResourceDescriptor descriptor)`
`java.lang.String` | `getMessage()`
`java.util.List` | `getResourceDescriptors()`
`int` | `getReturnCode()`
`java.lang.String` | `getVersion()`
`void` | `setMessage(java.lang.String message)`
`void` | `setResourceDescriptors(java.util.List resourceDescriptors)`
`void` | `setReturnCode(int returnCode)`
`void` | `setVersion(java.lang.String version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUCCESS

    public static final int SUCCESS

See Also:
  Constant Field Values

Constructor Detail

### OperationResult

    public OperationResult()

  Creates a new instance of OperationResult

Method Detail

### getMessage

    public java.lang.String getMessage()

### setMessage

    public void setMessage(java.lang.String message)

### getResourceDescriptors

    public java.util.List getResourceDescriptors()

### setResourceDescriptors

    public void setResourceDescriptors(java.util.List resourceDescriptors)

### addResourceDescriptor

    public void addResourceDescriptor(ResourceDescriptor descriptor)

### getReturnCode

    public int getReturnCode()

### setReturnCode

    public void setReturnCode(int returnCode)

### getVersion

    public java.lang.String getVersion()

### setVersion

    public void setVersion(java.lang.String version)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.